Бета-тестирование Web UI 2.0


#63

а в старом интерфейсе работало?

да


#64

Попытался обновить интерфейс до версии 2.0_beta11.
Ругается инсталлятор на то, что у меня версия wb-utils - 1.75.6, а требуется (>= 2.0).

Что и как нужно обновить до установки новой версии интерфейса?


#65

Добрый день!

Выполните apt-get update перед установкой. Если всё равно не получится, пришлите полный лог: ваша команда + вывод с ошибкой.


#66

У меня WB6 не подключен к интернету. Нужны инструкции, как делать обновление без интернета.
Я обновил прошивку до версии 0.45. Web UI тоже обновился или его нужно отдельно обновлять?
Как посмотреть установленную версию Web UI?


#67

Удалось обновить интерфейс до последней версии!


#68

А на мой вопрос никто не поможет ответ найти? Что-то не могу найти команду экспорта, которая бы мне помогла. Мерси.


#69

Просмотрели вопрос, прошу прощения. Посмотрите, виджеты должны быть в файле /etc/wb-webui.conf


#70

Невозможно сохранить аларм boolean, expected value false. (только правкой json файла)


#71

Да, подтверждаем: если true – то работает, если false – то нет.


#72

А возможна ли установка этого интерфейса на WB4 c FWver. 201511111910?


#73

Официально точно не поддерживается. Но вы можете попробовать поэкспериментировать на отдельной карточке.


#74

Раньше можно было редактировать отображение виджетов в каталоге /var/www/views/vidget/templates, а где теперь это можно сделать? Это нужно для того что до сих пор в веб интерфейсе не поправлено отображение данных для type: current, отображается без Ампер.


#75

Пока никак. Постараемся включить возможность в релиз.


#76

Добрый день!

Спасибо за комментарий, учтём.

А может быть, у вас есть силы и желание это прямо в коде интерфейса исправить? Вы бы нам очень помогли.


#77

Дак я же и спрашиваю, где это правиться т.к. не могу найти. Или вы про старый интерфейс?


#78

Нашел где это находится в файле main.20abb7d89361a250e473.js. Но почему сделали так неудобно? Раньше было гораздо понятнее и проще.
И еще wb-mqtt-homeui_2.0_beta11_all-all.deb это последняя версия? В репозитории её нет еще?


Уменьшение разрядности
#79

Почему может выдавать такие ошибки

Cannot load WebUI config.: MQTT RPC request timed out
Cannot load WebUI config.: Invalid config file


#80

Как можно поправить отображение значений? А то получается W слишком далеко от цифр, а A сливаются.
wirenboard_WEB2


#81

Добрый день!
Последняя версия в репозитории в ветке feature/v2_carbonfay_round1


#82

Потому что оно собирается вебпаком. Теперь это не просто копирование файлов, а сборка проекта перед релизом из исходников.